/**********************************************************************/
/*
     FILE: morph.h
  PURPOSE: To define a number of morphological transformation routines.
   AUTHOR: Peter Hollemans
     DATE: 1999/06/30
  CHANGES: n/a
    NOTES: See the following paper for full details on the routines:

             Simpson, James J., "Image Masking Using Polygon Fills and
             "Morphological Transformations", REMOTE SENS. ENVIRON.
             40:161-183 (1992)

*/
/**********************************************************************/

#ifndef MORPH_H

void erode (			/*** PERFORM EROSION OPERATION ***/
  unsigned char *obj,		/* object to erode */
  size_t nl, size_t ns,		/* number of lines, samples in object */
  unsigned char *se,		/* structure element (0=off, 1=on) */
  size_t n,			/* structure element size (must be odd) */
  unsigned char back,		/* background pixel value */
  unsigned char inobj,		/* object pixel value */
  unsigned char iner		/* erosion pixel value */
);

void dilate (			/*** PERFORM DILATION OPERATION ***/
  unsigned char *obj,		/* object to dilate */
  size_t nl, size_t ns,		/* number of lines, samples in object */
  unsigned char *se,		/* structure element (0=off, 1=on) */
  size_t n,			/* structure element size (must be odd) */
  unsigned char back,		/* background pixel value */
  unsigned char inobj,		/* object pixel value */
  unsigned char indil		/* dilation pixel value */
);

#endif

/**********************************************************************/
