/**********************************************************************/
/*
     FILE: polyfill.h
  PURPOSE: An implementation of a recursive polygon fill algorithm.
   AUTHOR: Peter Hollemans
     DATE: 1999/03/06
  CHANGES: 1999/06/28, PFH, updated with more comments
    NOTES: See the following paper for full details on the algorithm:

             Simpson, James J., "Image Masking Using Polygon Fills and
             "Morphological Transformations", REMOTE SENS. ENVIRON.
             40:161-183 (1992)

*/
/**********************************************************************/

#ifndef POLYFILL_H

void polyfill (			/*** RECURSIVELY FILL POLYGON REGION ***/
  long sx, long sy,		/* starting (x, y) location (1-relative) */
  unsigned char back,		/* background value */
  unsigned char inpoly,		/* inside polygon value */
  unsigned char outpoly,	/* outside polygon value */
  int recursive,		/* recursion flag, 0=no, 1=yes */
  unsigned char *image,		/* byte image to fill */
  long nl, long ns		/* number of lines, number of samples */
);

#endif

/**********************************************************************/
